Debian Bug report logs - #359576
RM: slatec -- RoM; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: joeyh@debian.org

Date: Tue, 28 Mar 2006 01:22:41 UTC

Severity: normal

Merged with 359572

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Torsten Werner <twerner@debian.org>:
Bug#359576; Package slatec. Full text and rfc822 format available.

Acknowledgement sent to joeyh@debian.org:
New Bug report received and forwarded. Copy sent to Torsten Werner <twerner@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: joeyh@debian.org
To: maintonly@bugs.debian.org
Subject: slatec: please finish /usr/doc transition
Date: Mon, 27 Mar 2006 19:40:57 -0500
Package: slatec

slatec still creates a /usr/doc symlink. Since 2002, policy has not
required these symlinks, and we're waiting for all packages to be
updated to remove them before the /usr/share/doc transition can be
complete. This package is one of the few packages that still makes
the symlink.

If your package uses debhelper, you should be able to fix this bug by
simply rebuilding the package. If it does not, you should remove the
symlink management code from your maintainer scripts. If the symlink
creation code was implemented properly before, your package should
remove the old symlinks in its postrm when upgraded. If you don't use
debhelper (or even if you do), please check that the symlink is gone
after upgrade.

Please see bug #322762 for some more details. 



Bug reassigned from package `slatec' to `ftp.debian.org'. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 359572 359576. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#359576; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #14 received at 359576-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <twerner@debian.org>
To: joeyh@debian.org, 359576-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#359576: slatec: please finish /usr/doc transition
Date: Tue, 28 Mar 2006 14:21:05 +0200
reassign 359576 ftp.debian.org
reassign 359572 ftp.debian.org
merge 359576 359572
retitle 359572 Please remove package slatec
thanks

Hello,

2006/3/28, joeyh@debian.org <joeyh@debian.org>:
> slatec still creates a /usr/doc symlink. Since 2002, policy has not
> required these symlinks, and we're waiting for all packages to be
> updated to remove them before the /usr/share/doc transition can be
> complete. This package is one of the few packages that still makes
> the symlink.

The slatec package hasn't changed since 1993. I think the current bug
is a good reason to remove the package. I have no use for it and other
user haven't shown interest either.

Regards,
Torsten


--
http://www.twerner42.de/



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 359572 and 359576 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message #19 received at 359576-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 359576-close@bugs.debian.org
Cc: slatec@packages.debian.org, slatec@packages.qa.debian.org
Subject: Bug#359576: fixed
Date: Thu, 06 Jul 2006 15:29:28 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    slatec |      4.1-4 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
slatec-dev |      4.1-4 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359576@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:49:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:47:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.